Package com.databricks.jdbc.model.client.thrift.generated

## Class TRow

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TRow

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRow>`, `org.apache.thrift.TBase<TRow,​TRow._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2025-05-08")
    public class TRow
    extends Object
    implements org.apache.thrift.TBase<TRow,​TRow._Fields>, Serializable, Cloneable, Comparable<TRow>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRow._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TColumnValue>` `colVals`
`static Map<TRow._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TRow()`
`TRow​(TRow other)` Performs a deep copy on other.
`TRow​(List<TColumnValue> colVals)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColVals​(TColumnValue elem)`
`void` `clear()`
`int` `compareTo​(TRow other)`
`TRow` `deepCopy()`
`boolean` `equals​(TRow that)`
`boolean` `equals​(Object that)`
`TRow._Fields` `fieldForId​(int fieldId)`
`List<TColumnValue>` `getColVals()`
`Iterator<TColumnValue>` `getColValsIterator()`
`int` `getColValsSize()`
`Object` `getFieldValue​(TRow._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TRow._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColVals()` Returns true if field colVals is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRow` `setColVals​(List<TColumnValue> colVals)`
`void` `setColValsIsSet​(boolean value)`
`void` `setFieldValue​(TRow._Fields field, Object value)`
`String` `toString()`
`void` `unsetColVals()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### colVals

    public List<TColumnValue> colVals

#### metaDataMap

    public static final Map<TRow._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRow

    public TRow()

#### TRow

    public TRow​(List<TColumnValue> colVals)

#### TRow

    public TRow​(TRow other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRow deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### getColValsSize

    public int getColValsSize()

#### getColValsIterator

    public Iterator<TColumnValue> getColValsIterator()

#### addToColVals

    public void addToColVals​(TColumnValue elem)

#### getColVals

    public List<TColumnValue> getColVals()

#### setColVals

    public TRow setColVals​(List<TColumnValue> colVals)

#### unsetColVals

    public void unsetColVals()

#### isSetColVals

    public boolean isSetColVals()

Returns true if field colVals is set (has been assigned a value) and false otherwise

#### setColValsIsSet

    public void setColValsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRow._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRow._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### isSet

    public boolean isSet​(TRow._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRow that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRow other)

Specified by:
  `compareTo` in interface `Comparable<TRow>`

#### fieldForId

    public TRow._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRow,​TRow._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`